# TODO: duplicated locales (es vs es_ES, fr vs fr_FR)
%bcond_without	tests
Summary:	Encrypted pass-thru filesystem for Linux
Summary(pl.UTF-8):	Zaszyfrowany system plików dla Linuksa
Name:		encfs
Version:	1.9.5
Release:	3
License:	GPL v2
Group:		Applications/System
Source0:	https://github.com/vgough/encfs/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	0244c6a6c0399a068c02ea078ce393d1
URL:		http://www.arg0.net/encfs
BuildRequires:	boost-devel >= 1.34.0
BuildRequires:	gettext-tools >= 0.17
BuildRequires:	libfuse-devel >= 2.5
BuildRequires:	libstdc++-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	perl-tools-pod
BuildRequires:	pkgconfig
BuildRequires:	rlog-devel >= 1.3
Requires:	rlog >= 1.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
EncFS implements an encrypted filesystem in userspace using FUSE. FUSE
provides a Linux kernel module which allows virtual filesystems to be
written in userspace. EncFS encrypts all data and filenames in the
filesystem and passes access through to the underlying filesystem.
Similar to CFS except that it does not use NFS.

%description -l pl.UTF-8
EncFS jest implementacją zaszyfrowanego systemu plików w przestrzeni
użytkownika przy użyciu FUSE. FUSE dostarcza moduł jądra Linuksa
pozwalający na obsługę wirtualnych systemów plików w przestrzeni
użytkownika. EncFS szyfruje wszystkie dane oraz nazwy plików w
systemie plików i przekazuje kontrolę do leżącego niżej systemu
plików. Jest podobny do CFS-a, ale nie używa NFS-a.

%prep
%setup -q

%build
install -d build
cd build
export CXXFLAGS="%{rpmcxxflags} -DOPENSSL_NO_BF"
%cmake .. \
	-DBUILD_SHARED_LIBS:BOOL=OFF

%{__make}

%if %{with tests}
%{__make} unittests
%{__make} test
%endif

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

# duplicate of de,es,fr,hu,pt
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/{de_DE,es_ES,fr_FR,pt_PT}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README.md
%attr(755,root,root) %{_bindir}/encfs
%attr(755,root,root) %{_bindir}/encfsctl
%attr(755,root,root) %{_bindir}/encfssh
%{_mandir}/man1/encfs.1*
%{_mandir}/man1/encfsctl.1*
%{_mandir}/man1/encfssh.1*
%changelog
* Sun Oct 24 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/encfs.git;a=log;h=master

* Sun Oct 24 2021 Jan Rękorajski <baggins@pld-linux.org> e3f30a3
- disable deprecated blowsfish cipher, rebuild with openssl 3.0.0, rel 3

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 848299c
- release 2 (by relup.sh)

* Sun Aug 05 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 1309457
- up to 1.9.5

* Fri Apr 20 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 5325f04
- basic test

* Fri Apr 20 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> debd8fe
- up to 1.9.4

* Thu Apr 20 2017 Elan Ruusamäe <glen@delfi.ee> bd433ee
- adapter; re-entrant build

* Thu Apr 13 2017 Jan Rękorajski <baggins@pld-linux.org> aa488f3
- up to 1.9.1
- no separate shared lib anymore

* Mon May 16 2016 Elan Ruusamäe <glen@delfi.ee> 44cbbe8
- icu-57.1 rebuild
- release 15 (by relup.sh)

* Sat Nov 14 2015 Jan Rękorajski <baggins@pld-linux.org> 9f96e87
- release 14 (by relup.sh)

* Wed Jun 10 2015 Jan Rękorajski <baggins@pld-linux.org> 8d4cc8e
- release 13 (by relup.sh)

* Mon Feb 16 2015 Jan Rękorajski <baggins@pld-linux.org> 53d9922
- rebuild with boost 1.57.0
- release 12 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 8dc968b
- updated gettext BR

* Sat Oct 25 2014 Jan Rękorajski <baggins@pld-linux.org> d657ce2
- rebuild with boost 1.56.0
- release 11 (by relup.sh)

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> dbd77ce
- - rebuild with boost 1.55.0
- release 10 (by relup.sh)

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> 28f648a
- - rebuild with boost 1.55.0
- release 9 (by relup.sh)

* Mon Jul 08 2013 Jan Rękorajski <baggins@pld-linux.org> 76fa9ca
- release 8 (by relup.sh)

* Sun Jul 07 2013 Jan Rękorajski <baggins@pld-linux.org> 6ea9d88
- release 7 (by relup.sh)

* Sat May 25 2013 Jakub Bogusz <qboosh@pld-linux.org> 79884d3
- cleanup, ghost soname symlink, more verbose bin,lib,man files

* Wed Sep 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 19cb7f1
- release 6 (by relup.sh)

* Wed Jul 11 2012 Jan Rękorajski <baggins@pld-linux.org> f00215d
- releae 5
rebuild with boost 1.50

